﻿Public Class Form1

    '*************************************************************
    ' 定数定義
    '*************************************************************

    Const s_cstTITLE As String = "FAX情報の追加、削除状況の取得" 'メッセージボックスのタイトル用

    '*************************************************************
    ' 変数定義
    '*************************************************************

    Dim s_lProcLoop As Integer
    Dim s_bProcBusy As Boolean

    '*************************************************************
    ' プログラム起動
    '*************************************************************

    Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        '/////////////////////////////////////////////////////////////
        '// STARFAX インストール確認

        If AxSFCSEnv1.CheckInstall() <> SFCSENV_SUCCESS Then
            MsgBox("STARFAX がインストールされていない、" & vbCrLf & "もしくは STARFAX 環境設定プログラム でフォルダ環境が設定されていません。", MsgBoxStyle.Critical, s_cstTITLE)
            Me.Close()
            End
        End If

        '/////////////////////////////////////////////////////////////
        '// STARFAX サブフォルダ確認

        ' 受信情報追加済み通知フォルダ
        If AxSFCSEnv1.CheckSubFolder(SFCSENV_SMODE_RECVADDNOTI) <> SFCSENV_SUCCESS Then
            MsgBox("受信情報追加済み通知フォルダが存在しません。" & vbCrLf & "STARFAX を１度起動することにより、" & vbCrLf & "受信情報追加済み通知フォルダが作成されます。", MsgBoxStyle.Critical, s_cstTITLE)
            Me.Close()
            End
        End If
        ' 送信情報追加済み通知フォルダ
        If AxSFCSEnv1.CheckSubFolder(SFCSENV_SMODE_SENDADDNOTI) <> SFCSENV_SUCCESS Then
            MsgBox("送信情報追加済み通知フォルダが存在しません。" & vbCrLf & "STARFAX を１度起動することにより、" & vbCrLf & "送信情報追加済み通知フォルダが作成されます。", MsgBoxStyle.Critical, s_cstTITLE)
            Me.Close()
            End
        End If
        ' 受信情報削除済み通知フォルダ
        If AxSFCSEnv1.CheckSubFolder(SFCSENV_SMODE_RECVDELNOTI) <> SFCSENV_SUCCESS Then
            MsgBox("受信情報削除済み通知フォルダが存在しません。" & vbCrLf & "STARFAX を１度起動することにより、" & vbCrLf & "受信情報削除済み通知フォルダが作成されます。", MsgBoxStyle.Critical, s_cstTITLE)
            Me.Close()
            End
        End If
        ' 送信情報削除済み通知フォルダ
        If AxSFCSEnv1.CheckSubFolder(SFCSENV_SMODE_SENDDELNOTI) <> SFCSENV_SUCCESS Then
            MsgBox("送信情報削除済み通知フォルダが存在しません。" & vbCrLf & "STARFAX を１度起動することにより、" & vbCrLf & "送信情報削除済み通知フォルダが作成されます。", MsgBoxStyle.Critical, s_cstTITLE)
            Me.Close()
            End
        End If

        '/////////////////////////////////////////////////////////////
        '// STARFAX サービス状態取得

        If AxSFCSEnv1.CheckServiceStatus() = SFCSENV_SERVICE_STOP Then
            MsgBox("STARFAX が動作していないので、" & vbCrLf & "新たに各種通知ファイルが作成されることはありません。", MsgBoxStyle.Exclamation, s_cstTITLE)
        End If

        '-------------------------------------------------------------
        ' リストヘッダ表示

        DiplayListHeader()

        '-------------------------------------------------------------
        ' タイマーの起動

        ProgressEXEC.Minimum = 0
        ProgressEXEC.Maximum = 4

        s_lProcLoop = 0
        s_bProcBusy = False
        TimerEXEC.Enabled = True

    End Sub

    '*************************************************************
    ' キャンセルボタン: クリック
    '*************************************************************

    Private Sub CommandCancel_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CommandCancel.Click

        End

    End Sub

    '*************************************************************
    ' タイマー処理
    '*************************************************************

    Private Sub TimerEXEC_Tick(ByVal sender As Object, ByVal e As System.EventArgs) Handles TimerEXEC.Tick

        If s_bProcBusy = True Then
            Exit Sub
        End If
        s_bProcBusy = True

        ProgressEXEC.Value = s_lProcLoop

        If s_lProcLoop = 0 Then

            ' 受信情報追加済み通知処理
            RecvAddNotiProc()

            ' 送信情報追加済み通知処理
            SendAddNotiProc()

            ' 受信情報削除済み通知処理
            RecvDelNotiProc()

            ' 送信情報削除済み通知処理
            SendDelNotiProc()

        End If
        s_lProcLoop = s_lProcLoop + 1
        If s_lProcLoop >= 5 Then
            s_lProcLoop = 0
        End If

        s_bProcBusy = False

    End Sub

    '-------------------------------------------------------------
    ' リストヘッダ表示
    '-------------------------------------------------------------

    Private Sub DiplayListHeader()

        ' 受信情報追加済み通知
        Call ListViewRECVADD.Columns().Clear()
        Call ListViewRECVADD.Columns().Add("通信結果", 8 * 8)     '0
        Call ListViewRECVADD.Columns().Add("日付", 10 * 8)    '1
        Call ListViewRECVADD.Columns().Add("時刻", 8 * 8)      '2
        Call ListViewRECVADD.Columns().Add("回線番号", 8 * 8) '3
        Call ListViewRECVADD.Columns().Add("アカウント", 10 * 8) '4
        Call ListViewRECVADD.Columns().Add("相手先", 16 * 8) '5
        Call ListViewRECVADD.Columns().Add("FAX", 12 * 8) '6
        Call ListViewRECVADD.Columns().Add("ファイル名", 16 * 8) '7
        Call ListViewRECVADD.Columns().Add("ページ数", 8 * 8) '8
        Call ListViewRECVADD.Columns().Add("通信速度", 13 * 8) '9
        Call ListViewRECVADD.Columns().Add("通信時間", 8 * 8) '10
        Call ListViewRECVADD.Columns().Add("画品質", 8 * 8) '11
        Call ListViewRECVADD.Columns().Add("符号化", 6 * 8) '12
        Call ListViewRECVADD.Columns().Add("用紙サイズ", 10 * 8) '13
        Call ListViewRECVADD.Columns().Add("エラー訂正", 10 * 8) '14
        Call ListViewRECVADD.Columns().Add("回線指定", 8 * 8) '15
        Call ListViewRECVADD.Columns().Add("優先順位", 8 * 8) '16
        Call ListViewRECVADD.Columns().Add("リトライ回数", 12 * 8) '17
        Call ListViewRECVADD.Columns().Add("Ｆコード番号", 16 * 8) '18
        Call ListViewRECVADD.Columns().Add("パスワード", 16 * 8) '19
        Call ListViewRECVADD.Columns().Add("会社名", 16 * 8) '20
        Call ListViewRECVADD.Columns().Add("所属名", 16 * 8) '21
        Call ListViewRECVADD.Columns().Add("役職名", 16 * 8) '22
        Call ListViewRECVADD.Columns().Add("氏名", 16 * 8) '23
        Call ListViewRECVADD.Columns().Add("郵便番号", 8 * 8) '24
        Call ListViewRECVADD.Columns().Add("住所1", 16 * 8) '25
        Call ListViewRECVADD.Columns().Add("住所2", 16 * 8) '26
        Call ListViewRECVADD.Columns().Add("電話番号", 12 * 8) '27
        Call ListViewRECVADD.Columns().Add("FAX番号", 12 * 8) '28
        Call ListViewRECVADD.Columns().Add("敬称", 6 * 8) '29
        Call ListViewRECVADD.Columns().Add("ユーザ使用", 16 * 8) '30
        Call ListViewRECVADD.Columns().Add("記録位置", 16 * 8) '31
        Call ListViewRECVADD.Columns().Add("自局電話番号", 16 * 8) '32
        Call ListViewRECVADD.Columns().Add("ジョブID", 18 * 8) '33

        ' 送信情報追加済み通知
        Call ListViewSENDADD.Columns().Clear()
        Call ListViewSENDADD.Columns().Add("通信結果", 8 * 8) '0
        Call ListViewSENDADD.Columns().Add("日付", 10 * 8) '1
        Call ListViewSENDADD.Columns().Add("時刻", 8 * 8) '2
        Call ListViewSENDADD.Columns().Add("回線番号", 8 * 8) '3
        Call ListViewSENDADD.Columns().Add("アカウント", 10 * 8) '4
        Call ListViewSENDADD.Columns().Add("相手先", 16 * 8) '5
        Call ListViewSENDADD.Columns().Add("FAX", 12 * 8) '6
        Call ListViewSENDADD.Columns().Add("ファイル名", 16 * 8) '7
        Call ListViewSENDADD.Columns().Add("ページ数", 8 * 8) '8
        Call ListViewSENDADD.Columns().Add("通信速度", 13 * 8) '9
        Call ListViewSENDADD.Columns().Add("通信時間", 8 * 8) '10
        Call ListViewSENDADD.Columns().Add("画品質", 8 * 8) '11
        Call ListViewSENDADD.Columns().Add("符号化", 6 * 8) '12
        Call ListViewSENDADD.Columns().Add("用紙サイズ", 10 * 8) '13
        Call ListViewSENDADD.Columns().Add("エラー訂正", 10 * 8) '14
        Call ListViewSENDADD.Columns().Add("回線指定", 8 * 8) '15
        Call ListViewSENDADD.Columns().Add("優先順位", 8 * 8) '16
        Call ListViewSENDADD.Columns().Add("リトライ回数", 12 * 8) '17
        Call ListViewSENDADD.Columns().Add("Ｆコード番号", 16 * 8) '18
        Call ListViewSENDADD.Columns().Add("パスワード", 16 * 8) '19
        Call ListViewSENDADD.Columns().Add("会社名", 16 * 8) '20
        Call ListViewSENDADD.Columns().Add("所属名", 16 * 8) '21
        Call ListViewSENDADD.Columns().Add("役職名", 16 * 8) '22
        Call ListViewSENDADD.Columns().Add("氏名", 16 * 8) '23
        Call ListViewSENDADD.Columns().Add("郵便番号", 8 * 8) '24
        Call ListViewSENDADD.Columns().Add("住所1", 16 * 8) '25
        Call ListViewSENDADD.Columns().Add("住所2", 16 * 8) '26
        Call ListViewSENDADD.Columns().Add("電話番号", 12 * 8) '27
        Call ListViewSENDADD.Columns().Add("FAX番号", 12 * 8) '28
        Call ListViewSENDADD.Columns().Add("敬称", 6 * 8) '29
        Call ListViewSENDADD.Columns().Add("ユーザ使用", 16 * 8) '30
        Call ListViewSENDADD.Columns().Add("記録位置", 16 * 8) '31
        Call ListViewSENDADD.Columns().Add("自局電話番号", 16 * 8) '32
        Call ListViewSENDADD.Columns().Add("ジョブID", 18 * 8) '33

        ' 受信情報削除済み通知通知
        Call ListViewRECVDEL.Columns().Add("ジョブID", 18 * 8) '33

        ' 送信情報削除済み通知通知
        Call ListViewSENDDEL.Columns().Add("ジョブID", 18 * 8) '33


    End Sub

    '-------------------------------------------------------------
    ' 受信情報追加済み通知処理
    '-------------------------------------------------------------

    Private Sub RecvAddNotiProc()

        Dim bGet As Boolean

        bGet = True

        Dim strWork As String

        strWork = New String(Chr(0), 1025)

        Do While (bGet = True)

            '/////////////////////////////////////////////////////////////
            '// 受信情報追加済み通知 の取得
            '//
            '// SFCSLogDiffコントロール 《 受信情報追加済み通知 取得 》
            '//   Function GetRecvAddNoti() as Long
            '//

            If AxSFCSLogDiff1.GetRecvAddNoti() <> SFCSLOGDIFF_GS_NoNoti Then

                Dim LstItems() As String = {"", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", ""}

                '/////////////////////////////////////////////////////////////
                '// 各項目の取得と表示
                '//
                '// SFCSLogDiffコントロール 《 受信情報追加済み通知のレコード項目 文字列取得 》
                '//   Function GetRecvRecItemString( Item As Integer,
                '//                                  Get As String ) as Long
                '//

                ' 通信結果
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEM_Return, strWork) = SFCSLOG_SUCCESS Then
                    If strWork = "0" Then
                        LstItems.SetValue("0", 0)
                    Else
                        LstItems.SetValue(strWork, 0)
                    End If
                End If

                ' 日付/時刻
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEM_Date, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 1)
                End If
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEM_Time, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 2)
                End If

                ' 回線番号
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEM_Line, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 3)
                End If

                ' アカウント
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEM_Acount, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 4)
                End If

                ' 相手先
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEM_SendName, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 5)
                End If

                ' FAX
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEM_FaxNumber, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 6)
                End If

                ' ファイル名
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEM_FileName, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 7)
                End If

                ' ページ数
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEM_Page, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 8)
                End If

                ' 通信速度
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEM_TermSpeed, strWork) = SFCSLOG_SUCCESS Then
                    Select Case strWork
                        Case "2"
                            strWork = "2400bps"
                        Case "4"
                            strWork = "4800bps"
                        Case "7"
                            strWork = "7200bps(V.29)"
                        Case "9"
                            strWork = "9600bps(V.29)"
                        Case "A"
                            strWork = "7200bps(V.17)"
                        Case "B"
                            strWork = "9600bps(V.17)"
                        Case "C"
                            strWork = "12000bps"
                        Case "E"
                            strWork = "14400bps"
                        Case "G"
                            strWork = "16800bps"
                        Case "H"
                            strWork = "19200bps"
                        Case "I"
                            strWork = "21600bps"
                        Case "J"
                            strWork = "24000bps"
                        Case "K"
                            strWork = "26400bps"
                        Case "L"
                            strWork = "28800bps"
                        Case "M"
                            strWork = "31200bps"
                        Case "N"
                            strWork = "33600bps"
                        Case Else
                            strWork = ""
                    End Select
                    LstItems.SetValue(strWork, 9)
                End If

                ' 通信時間
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEM_TotalTime, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 10)
                End If

                ' 画品質
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEM_TermReso, strWork) = SFCSLOG_SUCCESS Then
                    Select Case strWork
                        Case "N"
                            strWork = "ノーマル"
                        Case "F"
                            strWork = "ファイン"
                        Case "S"
                            strWork = "スーパーファイン"
                        Case Else
                            strWork = ""
                    End Select
                    LstItems.SetValue(strWork, 11)
                End If

                ' 符号化
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEM_TermComp, strWork) = SFCSLOG_SUCCESS Then
                    Select Case strWork
                        Case "M"
                            strWork = "MMR"
                        Case "R"
                            strWork = "MR"
                        Case "H"
                            strWork = "MH"
                        Case Else
                            strWork = ""
                    End Select
                    LstItems.SetValue(strWork, 12)
                End If

                ' 用紙サイズ
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEM_TermSize, strWork) = SFCSLOG_SUCCESS Then
                    Select Case strWork
                        Case "A"
                            strWork = "A4"
                        Case "B"
                            strWork = "B4"
                        Case CStr(3)
                            strWork = "A3"
                        Case Else
                            strWork = ""
                    End Select
                    LstItems.SetValue(strWork, 13)
                End If

                ' エラー訂正
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEM_TermECM, strWork) = SFCSLOG_SUCCESS Then
                    Select Case strWork
                        Case "D"
                            strWork = "なし"
                        Case "E"
                            strWork = "ECM"
                        Case "S"
                            strWork = "ECM"
                        Case Else
                            strWork = ""
                    End Select
                    LstItems.SetValue(strWork, 14)
                End If

                ' 回線指定
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEMEX_LineDes, strWork) = SFCSLOG_SUCCESS Then
                    Select Case strWork
                        Case "N"
                            strWork = "なし"
                        Case "0"
                            strWork = "回線１"
                        Case "1"
                            strWork = "回線２"
                        Case "2"
                            strWork = "回線３"
                        Case "3"
                            strWork = "回線４"
                        Case Else
                            strWork = ""
                    End Select
                    LstItems.SetValue(strWork, 15)
                End If

                ' 優先順位
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEMEX_Priority, strWork) = SFCSLOG_SUCCESS Then
                    Select Case strWork
                        Case "N"
                            strWork = ""
                    End Select
                    LstItems.SetValue(strWork, 16)
                End If

                ' リトライ回数
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEM_Retry, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 17)
                End If

                ' Ｆコード番号
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEM_FCode, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 18)
                End If

                ' パスワード
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEM_Password, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 19)
                End If

                ' 会社名
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEM_Company, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 20)
                End If

                ' 所属名
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEM_Division, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 21)
                End If

                ' 役職名
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEM_Position, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 22)
                End If

                ' 氏名
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEM_Name, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 23)
                End If

                ' 郵便番号
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEM_ZipCode, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 24)
                End If

                ' 住所1
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEM_Address1, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 25)
                End If

                ' 住所2
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEM_Address2, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 26)
                End If

                ' 電話番号
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEM_Telephone, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 27)
                End If

                ' FAX番号
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEM_Fax, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 28)
                End If

                ' 敬称
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEM_Title, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 29)
                End If

                ' ユーザ使用
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEM_FreeArea, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 30)
                End If

                ' 記録位置
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEM_UserInfo, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 31)
                End If

                ' 自局電話番号
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEM_UserID, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 32)
                End If

                ' ジョブID
                If AxSFCSLogDiff1.GetRecvRecItemString(SFCSLOG_ITEM_JobID, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 33)
                End If

                ListViewRECVADD.Items.Add(New ListViewItem(LstItems))

            Else
                bGet = False
            End If

        Loop

    End Sub

    '-------------------------------------------------------------
    ' 送信情報追加済み通知処理
    '-------------------------------------------------------------

    Private Sub SendAddNotiProc()

        Dim bGet As Boolean

        bGet = True

        Dim strWork As String

        strWork = New String(Chr(0), 1025)

        Do While (bGet = True)

            '/////////////////////////////////////////////////////////////
            '// 送信情報追加済み通知 の取得
            '//
            '// SFCSLogDiffコントロール 《 送信情報追加済み通知 取得 》
            '//   Function GetSendAddNoti() as Long
            '//

            If AxSFCSLogDiff1.GetSendAddNoti() <> SFCSLOGDIFF_GS_NoNoti Then

                Dim LstItems() As String = {"", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", ""}

                '/////////////////////////////////////////////////////////////
                '// 各項目の取得と表示
                '//
                '// SFCSLogDiffコントロール 《 送信情報追加済み通知のレコード項目 文字列取得 》
                '//   Function GetSendRecItemString( Item As Integer,
                '//                                  Get As String ) as Long
                '//

                ' 通信結果
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEM_Return, strWork) = SFCSLOG_SUCCESS Then
                    If strWork = "0" Then
                        LstItems.SetValue("0", 0)
                    Else
                        LstItems.SetValue(strWork, 0)
                    End If
                End If

                ' 日付/時刻
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEM_Date, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 1)
                End If
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEM_Time, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 2)
                End If

                ' 回線番号
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEM_Line, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 3)
                End If

                ' アカウント
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEM_Acount, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 4)
                End If

                ' 相手先
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEM_SendName, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 5)
                End If

                ' FAX
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEM_FaxNumber, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 6)
                End If

                ' ファイル名
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEM_FileName, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 7)
                End If

                ' ページ数
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEM_Page, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 8)
                End If

                ' 通信速度
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEM_TermSpeed, strWork) = SFCSLOG_SUCCESS Then
                    Select Case strWork
                        Case "2"
                            strWork = "2400bps"
                        Case "4"
                            strWork = "4800bps"
                        Case "7"
                            strWork = "7200bps(V.29)"
                        Case "9"
                            strWork = "9600bps(V.29)"
                        Case "A"
                            strWork = "7200bps(V.17)"
                        Case "B"
                            strWork = "9600bps(V.17)"
                        Case "C"
                            strWork = "12000bps"
                        Case "E"
                            strWork = "14400bps"
                        Case "G"
                            strWork = "16800bps"
                        Case "H"
                            strWork = "19200bps"
                        Case "I"
                            strWork = "21600bps"
                        Case "J"
                            strWork = "24000bps"
                        Case "K"
                            strWork = "26400bps"
                        Case "L"
                            strWork = "28800bps"
                        Case "M"
                            strWork = "31200bps"
                        Case "N"
                            strWork = "33600bps"
                        Case Else
                            strWork = ""
                    End Select
                    LstItems.SetValue(strWork, 9)
                End If

                ' 通信時間
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEM_TotalTime, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 10)
                End If

                ' 画品質
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEM_TermReso, strWork) = SFCSLOG_SUCCESS Then
                    Select Case strWork
                        Case "N"
                            strWork = "ノーマル"
                        Case "F"
                            strWork = "ファイン"
                        Case "S"
                            strWork = "スーパーファイン"
                        Case Else
                            strWork = ""
                    End Select
                    LstItems.SetValue(strWork, 11)
                End If

                ' 符号化
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEM_TermComp, strWork) = SFCSLOG_SUCCESS Then
                    Select Case strWork
                        Case "M"
                            strWork = "MMR"
                        Case "R"
                            strWork = "MR"
                        Case "H"
                            strWork = "MH"
                        Case Else
                            strWork = ""
                    End Select
                    LstItems.SetValue(strWork, 12)
                End If

                ' 用紙サイズ
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEM_TermSize, strWork) = SFCSLOG_SUCCESS Then
                    Select Case strWork
                        Case "A"
                            strWork = "A4"
                        Case "B"
                            strWork = "B4"
                        Case CStr(3)
                            strWork = "A3"
                        Case Else
                            strWork = ""
                    End Select
                    LstItems.SetValue(strWork, 13)
                End If

                ' エラー訂正
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEM_TermECM, strWork) = SFCSLOG_SUCCESS Then
                    Select Case strWork
                        Case "D"
                            strWork = "なし"
                        Case "E"
                            strWork = "ECM"
                        Case "S"
                            strWork = "ECM"
                        Case Else
                            strWork = ""
                    End Select
                    LstItems.SetValue(strWork, 14)
                End If

                ' 回線指定
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEMEX_LineDes, strWork) = SFCSLOG_SUCCESS Then
                    Select Case strWork
                        Case "N"
                            strWork = "なし"
                        Case "0"
                            strWork = "回線１"
                        Case "1"
                            strWork = "回線２"
                        Case "2"
                            strWork = "回線３"
                        Case "3"
                            strWork = "回線４"
                        Case Else
                            strWork = ""
                    End Select
                    LstItems.SetValue(strWork, 15)
                End If

                ' 優先順位
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEMEX_Priority, strWork) = SFCSLOG_SUCCESS Then
                    Select Case strWork
                        Case "N"
                            strWork = ""
                    End Select
                    LstItems.SetValue(strWork, 16)
                End If

                ' リトライ回数
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEM_Retry, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 17)
                End If

                ' Ｆコード番号
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEM_FCode, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 18)
                End If

                ' パスワード
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEM_Password, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 19)
                End If

                ' 会社名
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEM_Company, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 20)
                End If

                ' 所属名
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEM_Division, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 21)
                End If

                ' 役職名
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEM_Position, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 22)
                End If

                ' 氏名
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEM_Name, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 23)
                End If

                ' 郵便番号
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEM_ZipCode, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 24)
                End If

                ' 住所1
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEM_Address1, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 25)
                End If

                ' 住所2
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEM_Address2, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 26)
                End If

                ' 電話番号
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEM_Telephone, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 27)
                End If

                ' FAX番号
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEM_Fax, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 28)
                End If

                ' 敬称
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEM_Title, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 29)
                End If

                ' ユーザ使用
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEM_FreeArea, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 30)
                End If

                ' 記録位置
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEM_UserInfo, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 31)
                End If

                ' 自局電話番号
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEM_UserID, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 32)
                End If

                ' ジョブID
                If AxSFCSLogDiff1.GetSendRecItemString(SFCSLOG_ITEM_JobID, strWork) = SFCSLOG_SUCCESS Then
                    LstItems.SetValue(strWork, 33)
                End If

                ListViewSENDADD.Items.Add(New ListViewItem(LstItems))

            Else
                bGet = False
            End If
        Loop

    End Sub

    '-------------------------------------------------------------
    ' 受信情報削除済み通知処理
    '-------------------------------------------------------------

    Private Sub RecvDelNotiProc()
        Dim obItem As Object

        Dim strJobID As String
        Dim bGet As Boolean

        bGet = True

        Do While (bGet = True)

            '/////////////////////////////////////////////////////////////
            '// 受信情報削除済み通知 の取得
            '//
            '// SFCSLogDiffコントロール 《 受信情報削除済み通知 取得 》
            '//   Function GetRecvDelNoti( GetJobID As String ) as Long
            '//
            '// 注意事項
            '//   戻り値 で 【SFCSLOGDIFF_GS_GetAndNext  (2) ： 通知を読み
            '//   込みました。そして次の通知もあります】 が 返された場合、
            '//   GetRecvDelNotiメソッド を 再度呼び出して、次の
            '//   【削除済みジョブID】を取得しないと、その情報は失われて
            '//   しまいます。
            '//

            strJobID = New String(Chr(0), 129)

            If AxSFCSLogDiff1.GetRecvDelNoti(strJobID) <> SFCSLOGDIFF_GS_NoNoti Then

                obItem = ListViewRECVDEL.Items.Add(1)
                obItem.Text = strJobID

            Else
                bGet = False
            End If

        Loop

    End Sub

    '-------------------------------------------------------------
    ' 送信情報削除済み通知処理
    '-------------------------------------------------------------

    Private Sub SendDelNotiProc()
        Dim obItem As Object

        Dim strJobID As String
        Dim bGet As Boolean

        bGet = True

        Do While (bGet = True)

            '/////////////////////////////////////////////////////////////
            '// 送信情報削除済み通知 の取得
            '//
            '// SFCSLogDiffコントロール 《 送信情報削除済み通知 取得 》
            '//   Function GetSendDelNoti( GetJobID As String ) as Long
            '//
            '// 注意事項
            '//   戻り値 で 【SFCSLOGDIFF_GS_GetAndNext  (2) ： 通知を読み
            '//   込みました。そして次の通知もあります】 が 返された場合、
            '//   GetSendDelNotiメソッド を 再度呼び出して、次の
            '//   【削除済みジョブID】を取得しないと、その情報は失われて
            '//   しまいます。
            '//

            strJobID = New String(Chr(0), 129)

            If AxSFCSLogDiff1.GetSendDelNoti(strJobID) <> SFCSLOGDIFF_GS_NoNoti Then

                obItem = ListViewSENDDEL.Items.Add(1)
                obItem.Text = strJobID

            Else
                bGet = False
            End If

        Loop

    End Sub
End Class
